%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Simple process monitor for MATE
Name:           mate-system-monitor
Version:        1.28.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common >= 1.22.0
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.35
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.22
BuildRequires:  pkgconfig(giomm-2.4) >= 2.26.0
BuildRequires:  itstool
BuildRequires:  pkgconfig(libwnck-3.0) >= 3.0.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.8.1
BuildRequires:  polkit-devel

Requires: glibc >= 2.33

%description
MATE-system-monitor is a simple process and system monitor.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

%build
%configure2_5x --disable-static --disable-schemas-compile --disable-systemd
%make_build

%install
rm -rf %buildroot
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor/
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/metainfo/mate-system-monitor.appdata.xml
%{_libexecdir}/mate-system-monitor/msm-kill
%{_libexecdir}/mate-system-monitor/msm-renice
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy
%{_mandir}/man1/*

%files doc
%{_datadir}//help/


%post
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Mon Feb 26 2024 tex - 1.28.1-1pclos2024
- new version

* Sat Feb 17 2024 tex - 1.28.0-1pclos2024
- new version

* Mon Dec 18 2023 tex - 1.26.2-1pclos2023
- new version

* Tue Nov 21 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
